## vzstats 0.5.2

=== Makefile ===
NAME=vzstats
CACERT=essential.ca-bundle.crt
include Makefile.paths

all: $(NAME) $(NAME).conf $(NAME).8
.PHONY: all

install:
	mkdir -p $(DESTDIR)$(ETCDIR)
	install $(NAME).conf $(DESTDIR)$(ETCDIR)
	install -m 644 $(CACERT) $(DESTDIR)$(ETCDIR)
	mkdir -p $(DESTDIR)/$(SBINDIR)
	install $(NAME) $(DESTDIR)/$(SBINDIR)
	mkdir -p $(DESTDIR)/$(REPDIR)
	install bin/* $(DESTDIR)/$(REPDIR)
	mkdir -p $(DESTDIR)/$(MAN8DIR)
	install $(NAME).8 $(DESTDIR)/$(MAN8DIR)
.PHONY: install

BASHCDIR=/etc/bash_completion.d
install-bashcomp:
	mkdir -p $(DESTDIR)$(BASHCDIR)
	install bash_completion.sh $(DESTDIR)$(BASHCDIR)/$(NAME)
.PHONY: install-bashcomp

CRONDIR=/etc/cron.monthly
install-cronjob:
	mkdir -p $(DESTDIR)$(CRONDIR)
	echo "$(NAME)" > $(DESTDIR)$(CRONDIR)/$(NAME)
	chmod a+x $(DESTDIR)$(CRONDIR)/$(NAME)

.PHONY: install-cronjob

install-all: install install-bashcomp install-cronjob
.PHONY: install-all

clean:
	rm -f $(NAME) $(NAME).conf $(NAME).8
.PHONY: clean

# Tar and rpm build
SPEC=$(NAME).spec
VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
RELEASE=$(shell awk '/^%define rel / {if ($$3 != 1) print "-"$$3}' $(SPEC))
NAMEVER=$(NAME)-$(VERSION)$(RELEASE)
TARBALL=$(NAMEVER).tar.bz2


dist: tar
tar: $(TARBALL)
.PHONY: dist tar

$(TARBALL): clean
	rm -f ../$(NAMEVER)
	ln -s `pwd | awk -F / '{print $$NF}'` ../$(NAMEVER)
	tar --directory .. --exclude .git --exclude .depend \
		--exclude-from .gitignore \
		-cvhjf ../$(TARBALL) $(NAMEVER)
	rm -f $(TARBALL)
	mv ../$(TARBALL) .
	rm -f ../$(NAMEVER)

rpms: tar
	rpmbuild -ta $(TARBALL) ${RPMB_ARGS}
.PHONY: rpms

=== debian/changelog ===
vzstats (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Sun, 29 Sep 2013 12:22:57 +0200

vzstats (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #724723)

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Sep 2013 08:34:40 +0200

=== debian/control ===
Source: vzstats
Section: admin
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.3

Package: vzstats
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenVZ component to gather statistics to improve the project
 This is an OpenVZ component to gather OpenVZ usage and hardware statistics,
 in order to improve the project.
 .
 Statistics gathered and reported include the following:
 1 Hardware info.
  - CPU, disk, memory/swap
 2 Software info.
  - host distribution, versions of OpenVZ components, kernel version
 3 Containers info.
  - number of containers existing/running/using ploop/using vswap
  - OS templates of containers
 For more details, check the scripts in /usr/libexec/vzstats/ directory.
 .
 All submissions are anonymous and are not including IP or MAC addresses,
 hostnames etc. Global data are available at http://stats.openvz.org
 .
 For more details, see:
  * http://openvz.org/vzstats
  * http://stats.openvz.org

## vzstats 0.5.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 install:
 	mkdir -p $(DESTDIR)$(ETCDIR)
-	install $(NAME).conf $(DESTDIR)$(ETCDIR)
+	install -m 644 $(NAME).conf $(DESTDIR)$(ETCDIR)
 	install -m 644 $(CACERT) $(DESTDIR)$(ETCDIR)
 	mkdir -p $(DESTDIR)/$(SBINDIR)
 	install $(NAME) $(DESTDIR)/$(SBINDIR)

=== debian/changelog ===
vzstats (0.5.3-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:26 +0100

vzstats (0.5.3-2) unstable; urgency=low

  * Maintainer changed to Debian QA Team.

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Sep 2017 22:12:11 +0200

vzstats (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Removed bin-sh-added-to-scripts.patch and config-not-executable.patch
    as they are applied upstream.

 -- Ola Lundqvist <opal@debian.org>  Mon, 12 May 2014 21:22:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vzstats
 Section: admin
 Priority: extra
-Maintainer: Ola Lundqvist <opal@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9.0.0)
 Standards-Version: 3.9.3

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://download.openvz.org/utils/vzstats/(\d.*)/src/vzstats-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php ploop-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/ploop-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/ploop-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/ploop/ploop-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html ploop-(.*)\.tar\.gz
